"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logicalCompararisonsValidator = exports.logicalSingleConditionValidator = exports.logicalUnlimitedConditionsValidator = void 0;
var joi_1 = __importDefault(require("joi"));
exports.logicalUnlimitedConditionsValidator = joi_1.default.object({
    conditions: joi_1.default.array().items(joi_1.default.any().required()).min(2).required(),
}).required();
exports.logicalSingleConditionValidator = joi_1.default.object({
    condition: joi_1.default.array().items(joi_1.default.any().required()).length(1).required(),
}).required();
exports.logicalCompararisonsValidator = joi_1.default.object({
    comparison: joi_1.default.array().items(joi_1.default.any().required()).length(2).required(),
}).required();
