"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.operationValidator = exports.engineConfigValidator = void 0;
var joi_1 = __importDefault(require("joi"));
exports.engineConfigValidator = joi_1.default.object({
    enableLogging: joi_1.default.boolean().optional(),
}).required();
exports.operationValidator = joi_1.default.object({
    operator: joi_1.default.string().required(),
    args: joi_1.default.object().required(),
    onResult: joi_1.default.object({
        onTruthy: joi_1.default.link('#operationValidator').optional(),
        onFalsy: joi_1.default.link('#operationValidator').optional(),
    }).optional(),
}).id('operationValidator');
